Subject: [bug#60640] Gnu: Add gdcm

From: Tor-björn Claesson <[email-masked]>
Date: Tue, 31 Jan 2023 23:42:29 +0200

Hi again!

Ludovic Courtès <[email-masked]> writes:
> It would be nice if you could investigate the test failures: they might
> reveal that something’s wrong with our packaging.

Maybe the following is of any help, I was confused by the TestWriter
etc. passing in my local checkout, but not when I later tried to build
gdcm from the real guix repository.

This can be reproduced as follows:

1. Check out and build the original commit to add gdcm 2.8.9 (15caeb745c)
2. Check out and build the "upgrade to 3.0.20" commit (2bdbd962e3)

Now the tests suddenly pass. What does the build of 2.8.9 leave behind?
I'm still really confused by this!

-- 
Mvh,
Tor-björn Claesson